"""
Autogenerated module using `pop-create-idem <https://gitlab.com/saltstack/pop/pop-create-idem>`__
"""


async def enable_disable_addon(hub, ctx, org: str, sddc: str, enablement: str, action: str) -> None:
    """
    **Autogenerated function**
    
    Args:
        org(str): Organization identifier.
        sddc(str): Sddc identifier.
        enablement(str): Add-on name, for example "hcx, "draas", "skynet".
If it is "default", the operation is for default settings of future add-ons.
.
        action(str): Enable or disable the add-on or change default settings for future add-ons in the SDDC.
.

    Returns:
        None

    Examples:
        Call from code:

        .. code-block:: python

            await hub.exec.vmc.enablement.enable_disable_addon(ctx, org=value, sddc=value, enablement=value, action=value)

        Call from CLI:

        .. code-block:: bash

            idem exec vmc.enablement.enable_disable_addon org=value, sddc=value, enablement=value, action=value
    """

    return await hub.tool.http.session.request(
        ctx,
        method="post",
        path=ctx.acct.endpoint_url + "/orgs/{org}/sddcs/{sddc}/enablements/{enablement}".format(**{"org": org, "sddc": sddc, "enablement": enablement}),
        query_params={"action": action},
        data={}
    )


async def list(hub, ctx, org: str, sddc: str) -> None:
    """
    **Autogenerated function**
    
    Args:
        org(str): Organization identifier.
        sddc(str): Sddc identifier.

    Returns:
        None

    Examples:
        Call from code:

        .. code-block:: python

            await hub.exec.vmc.enablement.list(ctx, org=value, sddc=value)

        Call from CLI:

        .. code-block:: bash

            idem exec vmc.enablement.list org=value, sddc=value
    """

    return await hub.tool.http.session.request(
        ctx,
        method="get",
        path=ctx.acct.endpoint_url + "/orgs/{org}/sddcs/{sddc}/enablements".format(**{"org": org, "sddc": sddc}),
        query_params={},
        data={}
    )

